#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name: kolf
Summary: A golf game
Group: Games/Sports
URL: http://www.kde.org/applications/games/kolf/
Version: 4.10.5
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Suggests: kolf-handbook

%description
Kolf is a miniature golf game.
The game is played from an overhead view, with a
short bar representing the golf club. Kolf features many different types of
objects, such as water hazards, slopes, sand traps, and black holes (warps),
among others.

Features :
- Single and Multi-player (up to ten players) modes
- High scores table
- Dynamic courses
- Third-party courses
- Course editor

%files
%_kde_bindir/kolf
%_kde_applicationsdir/kolf.desktop
%_kde_appsdir/kolf
%_kde_datadir/icons/hicolor/*/apps/kolf.png

#------------------------------------------------------------------------------

%package -n kolf-handbook
Summary: kolf handbook
Conflicts: kolf < 1:4.7.1-2
Requires:  kolf >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kolf-handbook
This package provides the kolf handbook.

%files -n kolf-handbook
%_kde_docdir/HTML/en/kolf

#------------------------------------------------------------------------------

%define libkolfprivate_private 4
%define libkolfprivate %mklibname kolfprivate %{libkolfprivate_private}

%package -n %libkolfprivate
Summary: Runtime library for Kolf
Group: System/Libraries

%description -n %libkolfprivate
Runtime library for Kolf.

%files -n %libkolfprivate
%_kde_libdir/libkolfprivate.so.%{libkolfprivate_private}*

#-----------------------------------------------------------------------------

%define libkolfprivate_devel %mklibname kolfprivate -d

%package -n %libkolfprivate_devel
Summary: Devel files for Kolf
Group: Development/KDE and Qt
Requires: %libkolfprivate = %{epoch}:%{version}
Conflicts: kdegames4-devel < 1:4.9.80

%description -n %libkolfprivate_devel
This package provides the devel files for kolf

%files -n %libkolfprivate_devel
%_kde_libdir/libkolfprivate.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 1:4.10.5-1.1.mga3
+ Revision: 450661
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407252
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401904
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394419
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339505
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334580
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326782
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319345
- imported package kolf

